<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<head>
<title>Importar Venats</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 
if (!isset($_REQUEST['t1'])){
	echo '<h2>TECLEE EN NOMBRE DEL ARCHIVO A IMPORTAR</h2>';
	echo '<meta content="1; url=DV61000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
@$nar = fopen('archivos/'.$_REQUEST['t1'], "r");
if (!isset($_REQUEST['t1']) or !$nar){
	echo '<h2>EL ARCHIVO NO EXISTE</h2>';
	echo '<meta content="1; url=DV62000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
//limpia la tabla
$sq = mysqli_query($con ,"delete from dvnotcre");
$sq = mysqli_query($con ,"delete from dvnotcrd");
/*mysqli_query($con ,"alter table dxbascps add index (no_suc)");
mysqli_query($con ,"optimize table dxbascps");
mysqli_query($con ,"repair table dxbascps");*/
//leer el archuvo
while ($datos=fgetcsv($nar,2000,"|")){
	$j +=1;
	for($i=0;$i<count($datos);$i++)
		$datos[$i]=trim($datos[$i]);
	if($datos[0]=="1"){
		$sd = mysqli_fetch_array(mysqli_query($con ,"select cve_iva from dxtasiva where tip_iva = '$datos[9]'"));
		@$dt_bascps=mysqli_fetch_array(mysqli_query($con ,"select codigo from dxbascps WHERE no_suc='$datos[1]'"));	
		@$sql = mysqli_query($con ,"insert into dvnotcre(tip_not, fec_not, num_not, tip_mto, codigo, cve_iva, sub_not, iva_not, tot_not, iva_des, mto_not, ref_clt, num_doc, cve_mto, gen_pol, tip_mon, cli_pro, acc_fec, acc_hor, usuario) values ('$datos[5]','$datos[6]', '$datos[7]', '$datos[8]', '".$dt_bascps['codigo']."', '".$sd['cve_iva']."', '$datos[10]', '$datos[11]', '$datos[12]', '$datos[13]', '$datos[14]', '$datos[15]', '$datos[16]', '$datos[17]', '$datos[18]', '$datos[19]', '$datos[8]', CURDATE(), CURTIME(), '".$_SESSION['num_usu']."')");  
		$idNotCre=mysqli_insert_id();
		if (!$sql) echo mysqli_error($con).'<br>';
	}
	elseif($datos[0]=='2'){
		$sd = mysqli_fetch_array(mysqli_query($con ,"select cve_iva from dxtasiva where tip_iva = '$datos[1]'"));
		@$sqlx = mysqli_query($con ,"insert into dvnotcrd(n_nota,codigo,num_not, cve_iva, can_prod, pre_bas, por_des, imp_des, pre_uni, iva_uni, total, sub_tot, iva_sub, cve_mto, fol_ope,  acc_fec, acc_hor, usuario) values ('$idNotCre','".$dt_bascps['codigo']."', '$datos[4]', '".$sd['cve_iva']."', '$datos[2]', '$datos[3]', '$datos[4]', '$datos[5]', '$datos[6]', '$datos[7]', '$datos[8]', '$datos[9]', '$datos[10]', '$datos[11]','$datos[4]', CURDATE(), CURTIME(), '".$_SESSION['num_usu']."')");  
		if (!$sqlx) echo mysqli_error($con).'<br>';
	}
}
fclose ($nar);
/*mysqli_query($con ,"alter table dxbascps drop index no_suc");
mysqli_query($con ,"optimize table dxbascps");
mysqli_query($con ,"repair table dxbascps");*/

mysqli_close($con);
echo '<h2>FELICIDADES SE AGREGARON DATOS A NOTAS DE CREDITO</h2>' ;
//echo '<meta content="1; url=DV63000_PR.php" HTTP-EQUIV="REFRESH">';
?>  
</body>
</html>
